<!--
  @description: 采购公告
  @Modifier: sxm
  @routerPath:
  @date: 2020-4-30 17:20:31
-->
<template>
  <div class="p0-16">
    <div>
      <p class="page-title">
        1、公告标题
      </p>
      <table class="tableData">
        <tr class="singleRow">
          <td>公告标题</td>
          <td colspan="3">
            {{ formData.title }}
          </td>
        </tr>
      </table>
      <p class="page-title">
        2、备注
      </p>
      <table class="tableData">
        <tr v-if="formData.remark !== null" class="singleRow">
          <td>对供应商要求</td>
          <td colspan="3">
            {{ formData.remark }}
          </td>
        </tr>
        <tr class="singleRow">
          <td>注意事项</td>
          <td colspan="3">
            {{ formData.mattersNeedingAttention }}
          </td>
        </tr>
      </table>
    </div>
  </div>
</template>

<script>
/* 接口*/
import { queryBaseProcurementBulletinInfo } from '@/api/procurement/procurementBulletin'// 查询公告
export default {
  name: 'ProjectNoticeDetail',
  mixins: [],
  props: {
    // 弹框展示状态bu
    tenderId: {
      type: String,
      default: ''
    }
  },
  data() {
    return {
      formData: {}
    }
  },
  created() {
    this.initData(this.tenderId)// 查询采购公告信息
  },
  methods: {
    // 查询采购公告信息
    initData(tenderId) {
      queryBaseProcurementBulletinInfo(tenderId).then(response => {
        if (response.header.ret === '0') {
          this.formData = response.data
        }
      }).catch(() => {
      })
    },
    // 公告预览
    prvew() {

    }
  }
}
</script>

<style lang="less" scoped>

</style>
